Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.jar
Class JarEntry

    java.lang.Object
      |
      +--java.util.zip.ZipEntry
            |
            +--java.util.jar.JarEntry

All Implemented Interfaces:
  Cloneable, java.util.zip.ZipConstants

public class JarEntry
extends ZipEntry

This class is used to represent a JAR file entry.

Fields inherited from class java.util.zip.ZipEntry
`CENATT, CENATX, CENCOM, CENCRC, CENDSK, CENEXT, CENFLG, CENHDR, CENHOW, CENLEN, CENNAM, CENOFF, CENSIG, CENSIZ, CENTIM, CENVEM, CENVER, DEFLATED, ENDCOM, ENDHDR, ENDOFF, ENDSIG, ENDSIZ, ENDSUB, ENDTOT, EXTCRC, EXTHDR, EXTLEN, EXTSIG, EXTSIZ, LOCCRC, LOCEXT, LOCFLG, LOCHDR, LOCHOW, LOCLEN, LOCNAM, LOCSIG, LOCSIZ, LOCTIM, LOCVER, STORED`

Constructor Summary
`JarEntry(JarEntry je)` Creates a new `JarEntry` with fields taken from the specified `JarEntry` object.
`JarEntry(String name)` Creates a new `JarEntry` for the specified JAR file entry name.
`JarEntry(ZipEntry ze)` Creates a new `JarEntry` with fields taken from the specified `ZipEntry` object.

Method Summary
`Attributes` | `getAttributes()` Returns the `Manifest` `Attributes` for this entry, or `null` if none.
`Certificate[]` | `getCertificates()` Returns the `Certificate` objects for this entry, or `null` if none.

Methods inherited from class java.util.zip.ZipEntry
`clone, getComment, getCompressedSize, getCrc, getExtra, getMethod, getName, getSize, getTime, hashCode, isDirectory, setComment, setCompressedSize, setCrc, setExtra, setMethod, setSize, setTime, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JarEntry

    public JarEntry(String name)

  Creates a new `JarEntry` for the specified JAR file entry name.
  Parameters:
    `name` - the JAR file entry name
  Throws:
    `NullPointerException` - if the entry name is `null`
    `IllegalArgumentException` - if the entry name is longer than 0xFFFF bytes.

### JarEntry

    public JarEntry(ZipEntry ze)

  Creates a new `JarEntry` with fields taken from the specified `ZipEntry` object.
  Parameters:
    `ze` - the `ZipEntry` object to create the `JarEntry` from

### JarEntry

    public JarEntry(JarEntry je)

  Creates a new `JarEntry` with fields taken from the specified `JarEntry` object.
  Parameters:
    `je` - the `JarEntry` to copy

Method Detail

### getAttributes

    public Attributes getAttributes()
                             throws IOException

  Returns the `Manifest` `Attributes` for this entry, or `null` if none.
  Returns:
    the `Manifest` `Attributes` for this entry, or `null` if none

### getCertificates

    public Certificate[] getCertificates()

  Returns the `Certificate` objects for this entry, or `null` if none. This method can only be called once the `JarEntry` has been completely verified by reading from the entry input stream until the end of the stream has been reached. Otherwise, this method will return `null`.

  The returned certificate array comprises all the signer certificates that were used to verify this entry. Each signer certificate is followed by its supporting certificate chain (which may be empty). Each signer certificate and its supporting certificate chain are ordered bottom-to-top (i.e., with the signer certificate first and the (root) certificate authority last).

  Returns:
    the `Certificate` objects for this entry, or `null` if none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.